=== debian/control ===
Source: ros-kinetic-jsk-pcl-ros-utils
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libyaml-cpp-dev, python-yaml, ros-kinetic-catkin, ros-kinetic-cv-bridge, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-image-view2, ros-kinetic-interactive-markers, ros-kinetic-jsk-data, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-recognition-msgs, ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-tools, ros-kinetic-jsk-topic-tools, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-laser-assembler, ros-kinetic-message-generation, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-perception, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-octomap, ros-kinetic-octomap-msgs, ros-kinetic-octomap-ros, ros-kinetic-octomap-server, ros-kinetic-pcl-conversions, ros-kinetic-pcl-msgs, ros-kinetic-pcl-ros, ros-kinetic-robot-self-filter, ros-kinetic-rosboost-cfg, ros-kinetic-roscpp-tutorials, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-stereo-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_pcl_ros_utils
Standards-Version: 3.9.2

Package: ros-kinetic-jsk-pcl-ros-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libyaml-cpp-dev, python-sklearn, ros-kinetic-compressed-depth-image-transport, ros-kinetic-compressed-image-transport, ros-kinetic-cv-bridge, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-dynamic-reconfigure, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-image-geometry, ros-kinetic-image-transport, ros-kinetic-image-view, ros-kinetic-image-view2, ros-kinetic-interactive-markers, ros-kinetic-jsk-data, ros-kinetic-jsk-footstep-msgs, ros-kinetic-jsk-recognition-msgs, ros-kinetic-jsk-recognition-utils, ros-kinetic-jsk-topic-tools, ros-kinetic-kdl-conversions, ros-kinetic-kdl-parser, ros-kinetic-laser-assembler, ros-kinetic-message-runtime, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-perception, ros-kinetic-nav-msgs, ros-kinetic-nodelet, ros-kinetic-octomap, ros-kinetic-octomap-msgs, ros-kinetic-octomap-ros, ros-kinetic-octomap-server, ros-kinetic-openni2-launch, ros-kinetic-pcl-conversions, ros-kinetic-pcl-msgs, ros-kinetic-pcl-ros, ros-kinetic-robot-self-filter, ros-kinetic-rosbag, ros-kinetic-rosboost-cfg, ros-kinetic-roscpp-tutorials, ros-kinetic-rviz, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-std-srvs, ros-kinetic-stereo-msgs, ros-kinetic-tf, ros-kinetic-tf-conversions, ros-kinetic-tf2-ros, ros-kinetic-visualization-msgs
Description: ROS utility nodelets for pointcloud perception.
